Skip to main content
`Ctrl`+`K`

# MATDENSECUDA

“densecuda” - A matrix type to be used for dense matrices on GPUs. This matrix type is identical to `MATSEQDENSECUDA` when constructed with a single process communicator, and `MATMPIDENSECUDA` otherwise.

## Options Database Key

- -mat_type densecuda - sets the matrix type to `MATDENSECUDA` during a call to `MatSetFromOptions()`

## See Also

Matrices, `Mat`, `MATSEQDENSECUDA`, `MATMPIDENSECUDA`, `MATSEQDENSEHIP`, `MATMPIDENSEHIP`, `MATDENSE`

## Level

beginner

## Location

src/mat/impls/dense/mpi/cupm/cuda/matmpidensecuda.cu

## Examples

src/ksp/ksp/tutorials/ex79.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages